Bug 215821 - system-config-cluster provides parameters for setting quorum votes in GULM cluster
system-config-cluster provides parameters for setting quorum votes in GULM cl...
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 16:58 EST by Paul Kennedy
Modified: 2015-04-19 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 17:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2006-11-15 16:58:02 EST
Description of problem:
The Node Properties dialog box provides parameters for specifying quorum votes
for nodes in a GULM cluster. Quorum votes are meaningful only in GULM
lockservers. Also, GULM lockservers get only one vote each for quorum. GULM does
not check quorum votes specified in /etc/cluster/cluster.conf, though.

I did not check Conga to see if it behaves the same.

Version-Release number of selected component (if applicable):
system-config-cluster 1.0.27

How reproducible:
At a GULM cluster, create a new node or edit an exiting node. The Node
Properties dialog box provides an integers box for Quorum Votes.  

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Sample config file:

<?xml version="1.0" ?>
<cluster alias="alpha_cluster" config_version="4" name="alpha_cluster">
        <fence_daemon post_fail_delay="0" post_join_delay="3"/>
        <clusternodes>
                <clusternode name="GULM-lockserver-1" votes="15">
                        <fence/>
                </clusternode>
                <clusternode name="clusternode-1" votes="15">
                        <fence/>
                </clusternode>
        </clusternodes>
        <gulm>
                <lockserver name="GULM-lockserver-1"/>
        </gulm>
        <fencedevices/>
        <rm>
                <failoverdomains/>
                <resources/>
        </rm>
</cluster>
Comment 1 Jim Parsons 2007-03-20 10:44:57 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.